/*
 * File   : $Source: /usr/local/cvs/opencms/src/org/opencms/workplace/editors/Messages.java,v $
 * Date   : $Date: 2006/10/26 12:25:34 $
 * Version: $Revision: 1.14 $
 *
 * This library is part of OpenCms -
 * the Open Source Content Mananagement System
 *
 * Copyright (c) 2005 Alkacon Software GmbH (http://www.alkacon.com)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * For further information about Alkacon Software GmbH, please see the
 * company website: http://www.alkacon.com
 *
 * For further information about OpenCms, please see the
 * project website: http://www.opencms.org
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package org.opencms.workplace.editors;

import org.opencms.i18n.A_CmsMessageBundle;
import org.opencms.i18n.I_CmsMessageBundle;

/**
 * Convenience class to access the localized messages of this OpenCms package.<p> 
 * 
 * @author Jan Baudisch 
 * 
 * @version $Revision: 1.14 $ 
 * 
 * @since 6.0.0 
 */
public final class Messages extends A_CmsMessageBundle {

    /** Message constant for key in the resource bundle. */
    public static final String ERR_COMPILE_EDITOR_REGEX_1 = "ERR_COMPILE_EDITOR_REGEX_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_EDITOR_MESSAGE_NOSELECTION_0 = "ERR_EDITOR_MESSAGE_NOSELECTION_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_EDITOR_XMLCONTENT_VALIDATION_ERROR_TITLE_0 = "ERR_EDITOR_XMLCONTENT_VALIDATION_ERROR_TITLE_0";
    /** Message constant for key in the resource bundle. */
    public static final String ERR_INVALID_CONTENT_ENC_1 = "ERR_INVALID_CONTENT_ENC_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_INVALID_RESTYPE_CLASS_1 = "ERR_INVALID_RESTYPE_CLASS_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_INVALID_RESTYPE_NAME_0 = "ERR_INVALID_RESTYPE_NAME_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_INVALID_RESTYPE_RANKING_1 = "ERR_INVALID_RESTYPE_RANKING_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_INVALID_USERAGENT_DEF_0 = "ERR_INVALID_USERAGENT_DEF_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_NO_EDITOR_FOUND_0 = "ERR_NO_EDITOR_FOUND_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_UPDATE_ELEMENTS_0 = "ERR_UPDATE_ELEMENTS_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_XML_EDITOR_0 = "ERR_XML_EDITOR_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_XML_PARSE_0 = "ERR_XML_PARSE_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_ADDNEW_0 = "GUI_BUTTON_ADDNEW_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_ALIGNCENTER_0 = "GUI_BUTTON_ALIGNCENTER_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_ALIGNLEFT_0 = "GUI_BUTTON_ALIGNLEFT_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_ALIGNRIGHT_0 = "GUI_BUTTON_ALIGNRIGHT_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_ANCHOR_0 = "GUI_BUTTON_ANCHOR_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_BOLD_0 = "GUI_BUTTON_BOLD_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_CLOSE_0 = "GUI_BUTTON_CLOSE_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_COLOR_0 = "GUI_BUTTON_COLOR_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_COPY_0 = "GUI_BUTTON_COPY_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_CUT_0 = "GUI_BUTTON_CUT_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_DELETE_0 = "GUI_BUTTON_DELETE_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_FONTCOLOR_0 = "GUI_BUTTON_FONTCOLOR_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_GOTO_0 = "GUI_BUTTON_GOTO_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_HELP_0 = "GUI_BUTTON_HELP_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_IMAGE_0 = "GUI_BUTTON_IMAGE_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_INDENTIN_0 = "GUI_BUTTON_INDENTIN_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_INDENTOUT_0 = "GUI_BUTTON_INDENTOUT_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_ITALIC_0 = "GUI_BUTTON_ITALIC_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_LINKTO_0 = "GUI_BUTTON_LINKTO_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_NEW_0 = "GUI_BUTTON_NEW_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_OL_0 = "GUI_BUTTON_OL_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_PASTE_0 = "GUI_BUTTON_PASTE_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_PREVIEW_0 = "GUI_BUTTON_PREVIEW_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_PRINT_0 = "GUI_BUTTON_PRINT_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_REDO_0 = "GUI_BUTTON_REDO_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_REPLACE_0 = "GUI_BUTTON_REPLACE_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_SAVE_0 = "GUI_BUTTON_SAVE_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_SAVECLOSE_0 = "GUI_BUTTON_SAVECLOSE_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_SEARCH_0 = "GUI_BUTTON_SEARCH_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_SPECIALCHARS_0 = "GUI_BUTTON_SPECIALCHARS_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_TABLE_0 = "GUI_BUTTON_TABLE_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_TABLECELL_0 = "GUI_BUTTON_TABLECELL_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_TABLEROW_0 = "GUI_BUTTON_TABLEROW_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_TOGGLEDETAILS_0 = "GUI_BUTTON_TOGGLEDETAILS_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_UL_0 = "GUI_BUTTON_UL_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_UNDERLINE_0 = "GUI_BUTTON_UNDERLINE_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_BUTTON_UNDO_0 = "GUI_BUTTON_UNDO_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_DIALOG_COLOR_TITLE_0 = "GUI_DIALOG_COLOR_TITLE_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_DIRECTEDIT_TEXT_DELETE_0 = "GUI_DIRECTEDIT_TEXT_DELETE_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_DIRECTEDIT_TEXT_EDIT_0 = "GUI_DIRECTEDIT_TEXT_EDIT_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_DIRECTEDIT_TEXT_NEW_0 = "GUI_DIRECTEDIT_TEXT_NEW_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_BUTTON_DOWNLOADLIST_0 = "GUI_EDITOR_BUTTON_DOWNLOADLIST_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_BUTTON_HTMLLIST_0 = "GUI_EDITOR_BUTTON_HTMLLIST_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_BUTTON_IMAGELIST_0 = "GUI_EDITOR_BUTTON_IMAGELIST_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_BUTTON_LINKLIST_0 = "GUI_EDITOR_BUTTON_LINKLIST_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_BUTTON_TABLELIST_0 = "GUI_EDITOR_BUTTON_TABLELIST_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_CONTEXT_COPY_0 = "GUI_EDITOR_CONTEXT_COPY_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_CONTEXT_CUT_0 = "GUI_EDITOR_CONTEXT_CUT_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_CONTEXT_DELETECELL_0 = "GUI_EDITOR_CONTEXT_DELETECELL_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_CONTEXT_DELETECOL_0 = "GUI_EDITOR_CONTEXT_DELETECOL_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_CONTEXT_DELETEROW_0 = "GUI_EDITOR_CONTEXT_DELETEROW_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_CONTEXT_INSERTCELL_0 = "GUI_EDITOR_CONTEXT_INSERTCELL_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_CONTEXT_INSERTCOL_0 = "GUI_EDITOR_CONTEXT_INSERTCOL_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_CONTEXT_INSERTROW_0 = "GUI_EDITOR_CONTEXT_INSERTROW_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_CONTEXT_MERGECELL_0 = "GUI_EDITOR_CONTEXT_MERGECELL_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_CONTEXT_PASTE_0 = "GUI_EDITOR_CONTEXT_PASTE_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_CONTEXT_SPLITCELL_0 = "GUI_EDITOR_CONTEXT_SPLITCELL_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_DIALOG_CLEANUP_BUTTON_0 = "GUI_EDITOR_DIALOG_CLEANUP_BUTTON_0";

    /** Message constant for key in the resource bundle. */

    public static final String GUI_EDITOR_DIALOG_ELEMENTS_BUTTON_0 = "GUI_EDITOR_DIALOG_ELEMENTS_BUTTON_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_DIALOG_ELEMENTS_CONFIRMDISABLE_0 = "GUI_EDITOR_DIALOG_ELEMENTS_CONFIRMDISABLE_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_DIALOG_ELEMENTS_ENABLED_0 = "GUI_EDITOR_DIALOG_ELEMENTS_ENABLED_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_DIALOG_ELEMENTS_PAGEELEMENT_0 = "GUI_EDITOR_DIALOG_ELEMENTS_PAGEELEMENT_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_DIALOG_ELEMENTS_TITLE_1 = "GUI_EDITOR_DIALOG_ELEMENTS_TITLE_1";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_DIALOG_PROPERTIES_BUTTON_0 = "GUI_EDITOR_DIALOG_PROPERTIES_BUTTON_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_DIALOG_TABLE_NOTSPECIFIED_0 = "GUI_EDITOR_DIALOG_TABLE_NOTSPECIFIED_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_FRONTEND_BUTTON_EDIT_0 = "GUI_EDITOR_FRONTEND_BUTTON_EDIT_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_FRONTEND_BUTTON_LOCKED_0 = "GUI_EDITOR_FRONTEND_BUTTON_LOCKED_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_MESSAGE_CONFIRMHTTP_0 = "GUI_EDITOR_MESSAGE_CONFIRMHTTP_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_MESSAGE_DELETELOCALE_0 = "GUI_EDITOR_MESSAGE_DELETELOCALE_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_MESSAGE_EXIT_0 = "GUI_EDITOR_MESSAGE_EXIT_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_MESSAGE_NOTABLE_0 = "GUI_EDITOR_MESSAGE_NOTABLE_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_MESSAGE_SELECTION_0 = "GUI_EDITOR_MESSAGE_SELECTION_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_MODE_SOURCE_0 = "GUI_EDITOR_MODE_SOURCE_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_MODE_WYSIWYG_0 = "GUI_EDITOR_MODE_WYSIWYG_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_TITLE_HTMLAREA_0 = "GUI_EDITOR_TITLE_HTMLAREA_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_TITLE_LEDIT_0 = "GUI_EDITOR_TITLE_LEDIT_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_TITLE_MSDHTML_0 = "GUI_EDITOR_TITLE_MSDHTML_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_TITLE_NEW_0 = "GUI_EDITOR_TITLE_NEW_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_TITLE_PREFIX_0 = "GUI_EDITOR_TITLE_PREFIX_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_TITLE_SIMPLEHTML_0 = "GUI_EDITOR_TITLE_SIMPLEHTML_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_TITLE_SIMPLETEXT_0 = "GUI_EDITOR_TITLE_SIMPLETEXT_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_XMLCONTENT_CONFIRM_CORRECTION_0 = "GUI_EDITOR_XMLCONTENT_CONFIRM_CORRECTION_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_XMLCONTENT_ELEMENT_BUTTONS_0 = "GUI_EDITOR_XMLCONTENT_ELEMENT_BUTTONS_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_XMLCONTENT_MOVE_DOWN_0 = "GUI_EDITOR_XMLCONTENT_MOVE_DOWN_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_XMLCONTENT_MOVE_UP_0 = "GUI_EDITOR_XMLCONTENT_MOVE_UP_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EDITOR_XMLCONTENT_OPTIONALELEMENT_0 = "GUI_EDITOR_XMLCONTENT_OPTIONALELEMENT_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_EXPLORER_CONTEXT_PUBLISH_0 = "GUI_EXPLORER_CONTEXT_PUBLISH_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_ALIGN_0 = "GUI_INPUT_ALIGN_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_ALIGNCENTER_0 = "GUI_INPUT_ALIGNCENTER_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_ALIGNLEFT_0 = "GUI_INPUT_ALIGNLEFT_0";

    /** Message constant for key in the resource bundle. */

    public static final String GUI_INPUT_ALIGNMENT_0 = "GUI_INPUT_ALIGNMENT_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_ALIGNRIGHT_0 = "GUI_INPUT_ALIGNRIGHT_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_BORDER_0 = "GUI_INPUT_BORDER_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_BORDERINFO_0 = "GUI_INPUT_BORDERINFO_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_COLOR_0 = "GUI_INPUT_COLOR_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_COLUMNS_0 = "GUI_INPUT_COLUMNS_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_EDITOR_0 = "GUI_INPUT_EDITOR_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_ELEMENT_0 = "GUI_INPUT_ELEMENT_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_HEIGHT_0 = "GUI_INPUT_HEIGHT_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_INPERCENT_0 = "GUI_INPUT_INPERCENT_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_INPIXEL_0 = "GUI_INPUT_INPIXEL_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_LANG_0 = "GUI_INPUT_LANG_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_LINKANCHOR_0 = "GUI_INPUT_LINKANCHOR_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_LINKSTYLE_0 = "GUI_INPUT_LINKSTYLE_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_LINKSTYLECLASS_0 = "GUI_INPUT_LINKSTYLECLASS_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_LINKTARGET_0 = "GUI_INPUT_LINKTARGET_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_LINKTARGETBLANK_0 = "GUI_INPUT_LINKTARGETBLANK_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_LINKTARGETNAMED_0 = "GUI_INPUT_LINKTARGETNAMED_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_LINKTARGETSELF_0 = "GUI_INPUT_LINKTARGETSELF_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_LINKTARGETTOP_0 = "GUI_INPUT_LINKTARGETTOP_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_LINKTITLE_0 = "GUI_INPUT_LINKTITLE_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_LINKTO_0 = "GUI_INPUT_LINKTO_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_PADDING_0 = "GUI_INPUT_PADDING_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_PADDINGINFO_0 = "GUI_INPUT_PADDINGINFO_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_PROPERTY_0 = "GUI_INPUT_PROPERTY_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_ROWS_0 = "GUI_INPUT_ROWS_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_SPACING_0 = "GUI_INPUT_SPACING_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_SPACINGINFO_0 = "GUI_INPUT_SPACINGINFO_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_TBGCOLOR_0 = "GUI_INPUT_TBGCOLOR_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_TBORDERCOLOR_0 = "GUI_INPUT_TBORDERCOLOR_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_TEMPLATE_0 = "GUI_INPUT_TEMPLATE_0";

    /** Message constant for key in the resource bundle. */

    public static final String GUI_INPUT_TITLE_0 = "GUI_INPUT_TITLE_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_USEDPROPERTY_0 = "GUI_INPUT_USEDPROPERTY_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_VALIGN_0 = "GUI_INPUT_VALIGN_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_VALIGNBASELINE_0 = "GUI_INPUT_VALIGNBASELINE_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_VALIGNBOTTOM_0 = "GUI_INPUT_VALIGNBOTTOM_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_VALIGNMIDDLE_0 = "GUI_INPUT_VALIGNMIDDLE_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_VALIGNTOP_0 = "GUI_INPUT_VALIGNTOP_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_INPUT_WIDTH_0 = "GUI_INPUT_WIDTH_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_LABEL_SELECTFOLDER_0 = "GUI_LABEL_SELECTFOLDER_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_LABEL_SPECIALCHAR_0 = "GUI_LABEL_SPECIALCHAR_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_LABEL_VALUE_0 = "GUI_LABEL_VALUE_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_MESSAGE_REASON_0 = "GUI_MESSAGE_REASON_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_MESSAGEBOX_TITLE_PUBLISHRESOURCE_0 = "GUI_MESSAGEBOX_TITLE_PUBLISHRESOURCE_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_PLEASE_SELECT_0 = "GUI_PLEASE_SELECT_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_TABLEROW_0 = "GUI_TABLEROW_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_TITLE_CHANGETD_0 = "GUI_TITLE_CHANGETD_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_TITLE_CHANGETR_0 = "GUI_TITLE_CHANGETR_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_TITLE_EDIT_1 = "GUI_TITLE_EDIT_1";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_TITLE_EDITTABLE_0 = "GUI_TITLE_EDITTABLE_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_TITLE_NEWANCHOR_0 = "GUI_TITLE_NEWANCHOR_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_TITLE_NEWLINK_0 = "GUI_TITLE_NEWLINK_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_TITLE_NEWTABLE_0 = "GUI_TITLE_NEWTABLE_0";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_BROWSER_MATCHES_CONFIG_1 = "LOG_BROWSER_MATCHES_CONFIG_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_CALC_EDIT_MODE_FAILED_1 = "LOG_CALC_EDIT_MODE_FAILED_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_CREATE_XML_CONTENT_ITEM_1 = "LOG_CREATE_XML_CONTENT_ITEM_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_DIRECT_EDIT_NO_HEADER_1 = "LOG_DIRECT_EDIT_NO_HEADER_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_EDITOR_CONFIG_ERROR_1 = "LOG_EDITOR_CONFIG_ERROR_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_EDITOR_CONFIG_NO_LABEL_0 = "LOG_EDITOR_CONFIG_NO_LABEL_0";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_EDITOR_CONFIG_NO_PATTERN_0 = "LOG_EDITOR_CONFIG_NO_PATTERN_0";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_EDITOR_CONFIG_NO_URI_0 = "LOG_EDITOR_CONFIG_NO_URI_0";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_GET_LOCALES_1 = "LOG_GET_LOCALES_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_MAP_CONFIG_FILE_TO_USER_2 = "LOG_MAP_CONFIG_FILE_TO_USER_2";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_NO_RESOURCE_TYPES_0 = "LOG_NO_RESOURCE_TYPES_0";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_NO_USER_AGENTS_0 = "LOG_NO_USER_AGENTS_0";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_READ_EDITIR_FOLDER_FAILED_1 = "LOG_READ_EDITIR_FOLDER_FAILED_1";
    /** Message constant for key in the resource bundle. */
    public static final String LOG_READ_TEMPLATE_FAILED_0 = "LOG_READ_TEMPLATE_FAILED_0";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_READ_TEMPLATE_PROP_FAILED_0 = "LOG_READ_TEMPLATE_PROP_FAILED_0";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_READ_TEMPLATE_PROP_STYLESHEET_FAILED_0 = "LOG_READ_TEMPLATE_PROP_STYLESHEET_FAILED_0";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_READ_TITLE_PROP_FAILED_1 = "LOG_READ_TITLE_PROP_FAILED_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_READ_XMLPAGE_FAILED_1 = "LOG_READ_XMLPAGE_FAILED_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_VISITING_1 = "LOG_VISITING_1";

    /** Name of the used resource bundle. */

    private static final String BUNDLE_NAME = "org.opencms.workplace.editors.messages";

    /** Static instance member. */
    private static final I_CmsMessageBundle INSTANCE = new Messages();

    /** Constant to create button tooltip dynamically. */
    private static final String POSTFIX_LIST = "LIST_0";

    /**Constant to create button tooltip dynamically. */
    private static final String PREFIX_GUI_BUTTON = "GUI_EDITOR_BUTTON_";

    /**
     * Hides the public constructor for this utility class.<p>
     */
    private Messages() {

        // hide the constructor
    }

    /**
     * Returns an instance of this localized message accessor.<p>
     * 
     * @return an instance of this localized message accessor
     */
    public static I_CmsMessageBundle get() {

        return INSTANCE;
    }

    /**
     * 
     * @param galleryName button gallery name
     * 
     * @return value from bundle
     */
    public static String getGalleryKey(String galleryName) {

        StringBuffer key = new StringBuffer();
        key.append(PREFIX_GUI_BUTTON);
        key.append(galleryName.toUpperCase());
        key.append(POSTFIX_LIST);
        return key.toString();
    }

    /**
     * Returns the bundle name for this OpenCms package.<p>
     * 
     * @return the bundle name for this OpenCms package
     */
    public String getBundleName() {

        return BUNDLE_NAME;
    }
}
